---
title: The first single application for the entire DevOps lifecycle - GitLab
description: “From project planning and source code management to CI/CD and monitoring, GitLab is a complete DevOps platform, delivered as a single application. Only GitLab enables Concurrent DevOps to make the software lifecycle 200% faster.”
suppress_header: true
layout: home
extra_css:
  - home.css
  - merchandising-content.css
  - bl-modal.css
extra_js:
  - libs/on-scroll.js
  - all-clickable.js
---

- currentTime = Time.now.in_time_zone("Pacific Time (US & Canada)")
- expirationDate = Time.parse("2019-12-05")
- if expirationDate > currentTime
  = partial "includes/home/hero-temp"
- else
  = partial "includes/home/hero"

.simple-cta.pullup What is your biggest DevOps dilemma?
.container
  .row.challenge-boxes.u-margin-top-sm
    %a.col-md-4.challenge-box.complexity{href: '/just-commit/lower-tco/'}
      .box-image{ style: "background: url('/images/unsplash/data-servers.jpg') no-repeat center center / cover;" }
        .box-image-title Cost & Efficiency
      .box-heading You need to lower your IT costs while continuing to innovate
      .box-copy With GitLab, you can get more DevOps features for less money. Lower your license costs and maintenance costs without slowing your team down.
      .box-link
        Learn More
        %i.fas.fa-arrow-right
    %a.col-md-4.challenge-box.speed{href: '/just-commit/reduce-cycle-time/'}
      .box-image{ style: "background: url('/images/unsplash/data.png') no-repeat center center / cover;" }
        .box-image-title Speed
      .box-heading Your developers are slowed down by bottlenecks, hand-offs, and re-work
      .box-copy With GitLab, SCM, CI, security and more are in one browser window. Stop context switching and start collaborating at the point of code.
      .box-link
        Learn More
        %i.fas.fa-arrow-right
    %a.col-md-4.challenge-box.security{href: '/just-commit/secure-apps/'}
      .box-image{ style: "background: url('/images/unsplash/lock.jpg') no-repeat center center / cover;" }
        .box-image-title Security
      .box-heading You are forced to trade speed for security... or security for speed
      .box-copy With GitLab, you can move security "left" in the development process. Developers can see and fix problems, with security fully in the loop.
      .box-link
        Learn More
        %i.fas.fa-arrow-right

= partial "includes/home/customer-logos-transparent"
.wrapper-dark
  = partial "includes/contact-sales"
.container
  = partial "includes/home/sdlc"

= partial "includes/home/ten-oh-announcement"

= partial "includes/recent-posts"

= partial "includes/home/feature-group"
